> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an assets report

> The endpoint retrieves an assets report for the user.



## OpenAPI

````yaml GET /v1/users/{user_id}/assets/reports/{report_id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/users/{user_id}/assets/reports/{report_id}/:
    parameters:
      - name: report_id
        in: path
        required: true
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
      - name: user_id
        in: path
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - VOA Reports
      summary: Retrieve an assets report
      description: The endpoint retrieves an assets report for the user.
      operationId: assets-report-retrieve
      parameters:
        - $ref: '#/components/parameters/fmt'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoaApplicantReport'
            application/pdf:
              schema:
                $ref: '#/components/schemas/PDFResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  parameters:
    fmt:
      name: fmt
      in: query
      description: Response format
      required: false
      schema:
        type: string
        enum:
          - json
          - pdf
        default: json
  schemas:
    VoaApplicantReport:
      type: object
      properties:
        report_id:
          description: Unique identifier of the report.
          type: string
          readOnly: true
          example: 7d4fcb86b81a4880955beea558092391
          maxLength: 32
        created_at:
          description: Timestamp when the report was created.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        completed_at:
          description: Timestamp when the report was completed.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        days_requested:
          description: Number of days for which transactions are requested.
          type: integer
          format: int32
          readOnly: true
          example: 60
        as_of_date:
          description: >-
            The end date for the report period. Start date will be calculated as
            as_of_date - days_requested. Defaults to current date if not
            provided.
          type: string
          format: date
          readOnly: true
          example: '2022-05-01'
        large_deposit_threshold:
          description: >-
            Amount that must be met or exceeded for deposits to be marked as
            large.
          type: integer
          format: int32
          readOnly: true
          example: 500
          nullable: true
        is_voe:
          description: >-
            Indicates whether the report is a Deposit-based Verification of
            Employment (DVOE).
          type: boolean
          readOnly: true
        borrower:
          $ref: '#/components/schemas/Applicant'
        links:
          description: List of assets links
          type: array
          items:
            $ref: '#/components/schemas/LinkAssets'
        summary:
          $ref: '#/components/schemas/AssetsAccountSummary'
      required:
        - report_id
        - created_at
        - completed_at
        - days_requested
        - large_deposit_threshold
        - borrower
        - links
        - summary
        - is_voe
    PDFResponse:
      description: PDF file
      type: string
      format: binary
      example: Binary PDF content
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Applicant:
      required:
        - id
        - external_user_id
        - created_at
        - updated_at
      type: object
      properties:
        id:
          description: Unique identifier of the user.
          type: string
          readOnly: true
          maxLength: 32
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        external_user_id:
          description: External user id.
          type: string
          nullable: true
          example: '12345'
        first_name:
          description: First name of the user.
          type: string
          example: John
        last_name:
          description: Last name of the user.
          type: string
          example: Doe
        email:
          description: User's email.
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        phone:
          description: User's phone number.
          type: string
          nullable: true
          example: '+14155554193'
        ssn:
          description: User's SSN.
          type: string
          example: '222233333'
        created_at:
          description: Timestamp when the user was created.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the user was updated last time.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
    LinkAssets:
      required:
        - link_id
        - accounts
      type: object
      properties:
        link_id:
          description: Unique identifier of the link.
          type: string
          readOnly: true
          example: 150491a20bdb4292bb2a2ad8554fecba
          maxLength: 32
        tracking_info:
          description: Additional optional identifier passed by user.
          type: string
          readOnly: true
          nullable: true
          maxLength: 255
        provider:
          description: Data provider ID.
          type: string
          readOnly: true
          maxLength: 64
        provider_name:
          description: Data provider name.
          type: string
          readOnly: true
          maxLength: 128
        accounts:
          description: List of assets accounts.
          type: array
          items:
            $ref: '#/components/schemas/AssetsAccount'
    AssetsAccountSummary:
      required:
        - avg_30
        - avg_60
        - avg_90
        - currency_code
        - balance
      type: object
      properties:
        avg_30:
          description: The average balance for 30 days.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        avg_60:
          description: The average balance for 60 days.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        avg_90:
          description: The average balance for 90 days.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        currency_code:
          description: The three-character ISO 4217 currency code.
          type: string
          readOnly: true
          nullable: true
          maxLength: 3
        balance:
          description: Total balance.
          type: string
          format: decimal
          nullable: true
          readOnly: true
    AssetsAccount:
      type: object
      properties:
        id:
          description: Unique identifier of the account.
          type: string
          readOnly: true
          example: 4d601895417c46ec99633978db12a866
          maxLength: 32
        created_at:
          description: The date and time at which the account was created.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: The date and time at which the account was most recently updated.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        type:
          description: The parent type of the account, e.g., CHECKING or SAVINGS.
          type: string
          readOnly: true
          maxLength: 255
        subtype:
          description: >-
            The account's subtype, e.g., PLAN_401_K, MONEY_MARKET, or
            HOME_EQUITY.
          type: string
          readOnly: true
          nullable: true
          maxLength: 255
        mask:
          description: >-
            The masked banking account number associated with a particular
            account.
          type: string
          readOnly: true
          maxLength: 64
          nullable: true
        routing_number:
          description: Routing number
          type: string
          example: '55999876'
        nickname:
          description: An alternate name for the account.
          type: string
          nullable: true
          readOnly: true
          maxLength: 255
        days_available:
          description: >-
            Days of transaction history available at report generation time,
            from earliest transaction to report date (inclusive).
          type: integer
          readOnly: true
          example: 365
          minimum: 0
        balance_as_of:
          description: >-
            Timestamp from the financial institution indicating when the balance
            was last updated.
          type: string
          format: date-time
          readOnly: true
          example: '2025-05-04T12:00:00Z'
        balances:
          $ref: '#/components/schemas/AssetsAccountBalances'
        transactions:
          description: List of transactions for account.
          type: array
          items:
            $ref: '#/components/schemas/AssetsTransaction'
        owners:
          description: List of owners for account.
          type: array
          items:
            $ref: '#/components/schemas/AssetsOwner'
        summary:
          $ref: '#/components/schemas/AssetsAccountSummary'
        same_owner_as_requested:
          description: Indicates whether the borrower is found among the list of owners.
          type: boolean
          readOnly: true
        direct_deposit_from_employer:
          description: Account is used for direct deposits from employer.
          type: boolean
          readOnly: true
        nsf:
          description: Insufficient funds occurrence count.
          type: integer
          readOnly: true
      required:
        - id
        - created_at
        - updated_at
        - days_available
        - balances
        - transactions
        - owners
    AssetsAccountBalances:
      type: object
      properties:
        currency_code:
          description: The three-character ISO 4217 currency code.
          type: string
          readOnly: true
          nullable: true
          maxLength: 3
        balance:
          description: The current balance of the account.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        available_balance:
          description: >-
            The balance that is available for use in asset accounts like
            checking and savings. PENDING transactions are typically taken into
            account with the available balance, but this may not always be the
            case.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        credit_limit:
          description: The credit limit associated with the account.
          type: string
          format: decimal
          nullable: true
          readOnly: true
    AssetsTransaction:
      required:
        - id
        - external_id
        - categories
        - status
        - type
        - transacted_at
      type: object
      properties:
        id:
          description: Unique identifier of the transaction.
          type: string
          readOnly: true
          maxLength: 32
          example: 7d4fcb86b81a4880955beea558092391
        external_id:
          description: Identifier of the transaction in the external system.
          type: string
          readOnly: true
          maxLength: 512
        amount:
          description: The monetary amount of the transaction.
          type: string
          format: decimal
          nullable: true
          readOnly: true
        currency_code:
          description: The three-character ISO 4217 currency code.
          type: string
          readOnly: true
          nullable: true
          maxLength: 3
        check_number:
          description: The check number for the transaction.
          type: string
          readOnly: true
          nullable: true
          maxLength: 255
        categories:
          description: List of categories assigned to this transaction.
          type: array
          items:
            type: string
            maxLength: 100
        description:
          description: A human-readable transaction description.
          type: string
          nullable: true
          readOnly: true
        status:
          description: The status of the transaction.
          type: string
          example: POSTED
          enum:
            - POSTED
            - PENDING
            - AUTHORIZATION
            - MEMO
          readOnly: true
        type:
          description: The type of transaction. This will be either CREDIT, DEBIT, or MEMO.
          type: string
          example: DEBIT
          enum:
            - DEBIT
            - CREDIT
            - MEMO
          readOnly: true
        posted_at:
          description: Timestamp when the transaction was posted.
          type: string
          format: date-time
          readOnly: true
          nullable: true
          example: '2022-05-05T15:30:00Z'
        transacted_at:
          description: Timestamp when the the transaction took place.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        merchant_name:
          description: Merchant name extracted from the transaction description.
          type: string
          readOnly: true
          example: Starbucks
          nullable: true
        merchant_category_code:
          description: The ISO 18245 category code for the transaction.
          type: integer
          format: int32
          nullable: true
          readOnly: true
          example: 5967
        ending_daily_balance:
          description: Ending daily balance.
          type: number
          format: decimal
          nullable: true
          readOnly: true
        is_direct_deposit:
          description: Indicates if the transaction represents a direct deposit.
          type: boolean
          nullable: true
          readOnly: true
        is_subscription:
          description: >-
            Indicates if the transaction represents a payment for a
            subscription.
          type: boolean
          nullable: true
          readOnly: true
    AssetsOwner:
      type: object
      properties:
        id:
          description: Unique identifier of the owner.
          type: string
          format: string
          readOnly: true
          example: 2b623fa2fa9e49cea17d9692caa884c5
          maxLength: 64
        full_name:
          description: The account owner's name.
          type: string
          readOnly: true
          example: John Doe
          maxLength: 255
        email:
          description: The account owner's email address.
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        phone:
          description: The account owner's phone number.
          type: string
          nullable: true
          example: '14155554193'
        address:
          description: The account owner's address.
          type: object
          properties:
            street:
              description: Street
              type: string
              nullable: true
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              nullable: true
              example: Los Angeles
            state:
              description: State
              type: string
              nullable: true
              example: CA
            zip:
              description: Zip code
              type: string
              nullable: true
              example: '90210'
            country:
              description: Country
              type: string
              nullable: true
              example: US
        relation_type:
          description: The relationship this person has to the account.
          type: string
          nullable: true
          example: PRIMARY
          enum:
            - PRIMARY
            - BUSINESS
            - JOINT
            - SECONDARY
            - AUTHORIZED_USER
            - FOR_BENEFIT_OF
            - ACCOUNT_BENEFICIARY
            - CUSTODIAN
            - OTHER
            - null
      required:
        - id
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````